summaryrefslogtreecommitdiffstats
path: root/office/vym
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:55:11 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:11 +0200
commit8292ee3c9bec726ad5099ea37223b09a3f4b9634 (patch)
tree83d24c3c7b5536461aaf7dae915b19807073b4f7 /office/vym
parent1b404732cab048daea342d564e7ca7bc949bb54d (diff)
downloadslackbuilds-8292ee3c9bec726ad5099ea37223b09a3f4b9634.tar.gz
slackbuilds-8292ee3c9bec726ad5099ea37223b09a3f4b9634.tar.xz
office/vym: Added to 12.1 repository
Diffstat (limited to 'office/vym')
-rw-r--r--office/vym/README8
-rw-r--r--office/vym/doinst.sh7
-rw-r--r--office/vym/slack-desc19
-rw-r--r--office/vym/vym.SlackBuild86
-rw-r--r--office/vym/vym.desktop10
-rw-r--r--office/vym/vym.info8
-rw-r--r--office/vym/x-vym.desktop7
7 files changed, 145 insertions, 0 deletions
diff --git a/office/vym/README b/office/vym/README
new file mode 100644
index 0000000000..135a07cb33
--- /dev/null
+++ b/office/vym/README
@@ -0,0 +1,8 @@
+VYM (View Your Mind) is a tool to generate and manipulate maps
+which show your thoughts. Such maps can help you to improve your
+creativity and effectivity. You can use them for time management,
+to organize tasks, to get an overview over complex contexts, to
+sort your ideas etc. Some people even think it is fun to work with
+such maps...
+
+vym requires qt4, which is also available from SlackBuilds.org.
diff --git a/office/vym/doinst.sh b/office/vym/doinst.sh
new file mode 100644
index 0000000000..daaf27f812
--- /dev/null
+++ b/office/vym/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/office/vym/slack-desc b/office/vym/slack-desc
new file mode 100644
index 0000000000..54d265a64b
--- /dev/null
+++ b/office/vym/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+vym: vym (Mindmapping application)
+vym:
+vym: VYM (View Your Mind) is a tool to generate and manipulate maps
+vym: which show your thoughts. Such maps can help you to improve your
+vym: creativity and effectivity. You can use them for time management,
+vym: to organize tasks, to get an overview over complex contexts, to
+vym: sort your ideas etc. Some people even think it is fun to work with
+vym: such maps...
+vym:
+vym: Homepage: http://www.insilmaril.de/vym/
+vym:
diff --git a/office/vym/vym.SlackBuild b/office/vym/vym.SlackBuild
new file mode 100644
index 0000000000..cdc0f76dd9
--- /dev/null
+++ b/office/vym/vym.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for vym
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vym
+VERSION=1.12.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake-qt4 \
+ PREFIX=/usr \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION
+
+sed -i "s|-pipe -g -Wall|$SLKCFLAGS -pipe -g -Wall|g" Makefile
+
+make
+make install INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/share/{pixmaps,applications,mimelnk/application}
+install -m 0644 icons/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+install -m 0644 $CWD/x-$PRGNAM.desktop $PKG/usr/share/mimelnk/application/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r doc INSTALL.txt LICENSE.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+rm -f $PKG/usr/doc/$PRGNAM-$VERSION/vym.pdf
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/vym/vym.desktop b/office/vym/vym.desktop
new file mode 100644
index 0000000000..6fa04093f2
--- /dev/null
+++ b/office/vym/vym.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Exec=vym
+Name=VYM - View Your Mind
+Name[de]=VYM - View Your Mind
+GenericName=Planning and Brainstorming Tool
+Icon=vym
+MimeType=application/x-vym;
+Categories=Application;Qt;Office;
diff --git a/office/vym/vym.info b/office/vym/vym.info
new file mode 100644
index 0000000000..5d51f44315
--- /dev/null
+++ b/office/vym/vym.info
@@ -0,0 +1,8 @@
+PRGNAM="vym"
+VERSION="1.12.2"
+HOMEPAGE="http://www.insilmaril.de/vym/"
+DOWNLOAD="http://downloads.sourceforge.net/vym/vym-1.12.2.tar.bz2"
+MD5SUM="ff2dc8f2dad9bda128753ed94aed302d"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero" \ No newline at end of file
diff --git a/office/vym/x-vym.desktop b/office/vym/x-vym.desktop
new file mode 100644
index 0000000000..75b77db7cc
--- /dev/null
+++ b/office/vym/x-vym.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Encoding=UTF-8
+Comment=VYM (View Your Mind) File
+Type=MimeType
+MimeType=application/x-vym
+Icon=vym
+Patterns=*.vym;*.vyp;*.vys;*.VYM;*.VYP;*.VYS;